ch.qos.logback.core.filter

## Class AbstractMatcherFilter<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.filter.Filter<E>
    - - ch.qos.logback.core.filter.AbstractMatcherFilter<E>

All Implemented Interfaces:
  ContextAware, LifeCycle

Direct Known Subclasses:
  EvaluatorFilter, LevelFilter

    public abstract class AbstractMatcherFilter<E>
    extends Filter<E>

### Field Summary

Fields
`protected FilterReply` `onMatch`
`protected FilterReply` `onMismatch`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`AbstractMatcherFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FilterReply` `getOnMatch()`
`FilterReply` `getOnMismatch()`
`void` `setOnMatch(FilterReply reply)`
`void` `setOnMismatch(FilterReply reply)`

### Methods inherited from class ch.qos.logback.core.filter.Filter

`decide, getName, isStarted, setName, start, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### onMatch

    protected FilterReply onMatch

#### onMismatch

    protected FilterReply onMismatch

### Constructor Detail

#### AbstractMatcherFilter

    public AbstractMatcherFilter()

### Method Detail

#### setOnMatch

    public final void setOnMatch(FilterReply reply)

#### setOnMismatch

    public final void setOnMismatch(FilterReply reply)

#### getOnMatch

    public final FilterReply getOnMatch()

#### getOnMismatch

    public final FilterReply getOnMismatch()